# rootwater

[![Build Status](https://travis-ci.org/cojacoo/rootwater.svg?branch=master)](https://travis-ci.org/cojacoo/rootwater)
[![Documentation Status](https://readthedocs.org/projects/rootwater/badge/?version=latest)](http://rootwater.readthedocs.io/en/latest/?badge=latest)
[![codecov](https://codecov.io/gh/cojacoo/rootwater/branch/master/graph/badge.svg)](https://codecov.io/gh/cojacoo/rootwater)

<hr>
This is a small toolbox for root-water-uptake (RWU) calculation from changes in soil moisture in the rhizosphere. The approach is described in Jackisch et al. (submitted to Biogeosciences as https://doi.org/10.5194/bg-2019-466). The general concept is an evaluation of observed diurnal soil moisture decrease and nocturnal stagnation or capillary-driven redistribution. 
<hr>
For referencing to sap velocity measurements, a collection of conversion tools to estimate sap flow in the active sapwood is included.
<hr>
The documentation can be found at: http://rootwater.readthedocs.io 
<br>
This toolbox is written as a Python module. 
You can install it through pip: 
```bash
pip install rootwater
```
<br>
If you use this package, please cite the research behind it: 

Jackisch, C., Knoblauch, S., Blume, T., Zehe, E. and Hassler, S.K. (in review): Estimates of tree root water uptake from soil moisture profile dynamics. 
Submitted to Biogeosciences. https://doi.org/10.5194/bg-2019-466
<br>

